# std::experimental::filesystem::filesystem_error

From cppreference.com
< cpp‎ | experimental‎ | fs

Defined in header `<experimental/filesystem>` |  |
class filesystem_error; |  | (filesystem TS)

An exception type thrown when errors are encountered.

| This section is incomplete Reason: add inheritance diagram

### Member functions

(constructor) | constructs the error object (public member function)
path1 path2 | returns the paths that were involved in the operation that caused the error (public member function)
what | returns the explanatory string (public member function)

### See also

| This section is incomplete

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/filesystem_error&oldid=68549"
Categories:

- Todo with reason
- Todo without reason